## org.eclipse.emf.transaction
Class NotificationFilter.Custom

    java.lang.Object
      org.eclipse.emf.transaction.NotificationFilter
          org.eclipse.emf.transaction.NotificationFilter.Custom

Enclosing class:
  NotificationFilter

    public abstract static class NotificationFilter.Custom

extends NotificationFilter

A custom notification filter, implementing user-defined selection criteria. Custom notification filters are distinguished from the stock implementations created by the factory methods of the `NotificationFilter` class to ensure that the base class remains abstract.

Since:
  1.3

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.transaction.NotificationFilter
`NotificationFilter.Custom`

Field Summary

Fields inherited from class org.eclipse.emf.transaction.NotificationFilter
`ANY, NOT_TOUCH, READ, RESOURCE_LOADED, RESOURCE_UNLOADED`

Constructor Summary
`NotificationFilter.Custom()` Initializes me.

Method Summary

Methods inherited from class org.eclipse.emf.transaction.NotificationFilter
`and, createEventTypeFilter, createFeatureFilter, createFeatureFilter, createFeatureFilter, createNotifierFilter, createNotifierTypeFilter, createNotifierTypeFilter, createResourceContentTypeFilter, matches, negated, or`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationFilter.Custom

    public NotificationFilter.Custom()

  Initializes me.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.